<?php

//
// Pligg Template Control Panel Module
// Copyright 2010 by pligg-template.com
//

//
// Settings page
//
function pligg_template_showpage(){

	global $db, $smarty, $main_smarty, $the_template;

	include_once('config.php');
	include_once(mnminclude.'html1.php');
	include_once(mnminclude.'link.php');
	include_once(mnminclude.'tags.php');
	include_once(mnminclude.'smartyvariables.php');
	
	$main_smarty = do_sidebar($main_smarty);

	force_authentication();
	$canIhaveAccess = 0;
	$canIhaveAccess = $canIhaveAccess + checklevel('god');
	
	if($canIhaveAccess == 1)
	{	
		// Save settings
		if ($_POST['submit'])
		{
			misc_data_update('style', sanitize($_REQUEST['style'], 3));
			misc_data_update('300_250_advert_image', sanitize($_REQUEST['300_250_advert_image'], 3));
			misc_data_update('300_250_advert_url', sanitize($_REQUEST['300_250_advert_url'], 3));
      misc_data_update('STWAccessKeyId', sanitize($_REQUEST['STWAccessKeyId'], 3));				
                  
			header("Location: ".my_pligg_base."/module.php?module=pligg_template");
			die();
		}
	// breadcrumbs
	$navwhere['text1'] = $main_smarty->get_config_vars('PLIGG_Visual_Header_AdminPanel');
	$navwhere['link1'] = getmyurl('admin', '');
	$navwhere['text2'] = "Pligg Template Configuration";
	$main_smarty->assign('navbar_where', $navwhere);
	$main_smarty->assign('posttitle', " / " . $main_smarty->get_config_vars('PLIGG_Visual_Header_AdminPanel'));
	// breadcrumbs
	
	// Method for identifying modules rather than pagename
	define('modulename', 'pligg_template'); 
	$main_smarty->assign('modulename', modulename);
  
	define('pagename', 'pligg_template'); 
	$main_smarty->assign('pagename', pagename);
	
	$main_smarty->assign('settings', pligg_template_settings());
	$main_smarty->assign('tpl_center', pligg_template_tpl_path . 'pligg_template_settings');
	$main_smarty->display($template_dir . '/admin/admin.tpl');	
	 
	}	
	else
	{
		header("Location: " . getmyurl('login', $_SERVER['REQUEST_URI']));
	}		
}

// 
// Fill Settings Page
//

function links_show_options_content(&$vars)
{
	if (get_misc_data('style'))
	    $vars['style'] = text_to_html($vars['style']);
	if (get_misc_data('300_250_advert_image'))
	    $vars['300_250_advert_image'] = text_to_html($vars['300_250_advert_image']);
	if (get_misc_data('300_250_advert_url'))
	    $vars['300_250_advert_url'] = text_to_html($vars['300_250_advert_url']); 
	if (get_misc_data('STWAccessKeyId'))
	    $vars['STWAccessKeyId'] = text_to_html($vars['STWAccessKeyId']);                           
}

// 
// Read module settings
//

function pligg_template_settings()
{
    return array(
		'style' => get_misc_data('style'),
		'300_250_advert_image' => get_misc_data('300_250_advert_image'),
		'300_250_advert_url' => get_misc_data('300_250_advert_url'),
		'STWAccessKeyId' => get_misc_data('STWAccessKeyId'),             		
		);
}

// 
// Style Selection 
//

function pligg_template_style_select() {

  global $db, $smarty, $main_smarty, $the_template;
  
  $colourSchemesPath = 'templates/' . $the_template . '/styles/';
  $colourSchemes=array();

  if ( is_dir ( $colourSchemesPath ) ) {
       if ( $colourSchemesDir = opendir ( $colourSchemesPath ) ) {
           while ( ( $colourSchemeFile = readdir ( $colourSchemesDir ) )  !==  false )  {
               if ( stristr ( $colourSchemeFile, ".css" ) !== false) {
                    $colourSchemes[] = $colourSchemeFile;
               }
           }
       }
  }

foreach($colourSchemes as $styles) {

  $msgr = get_misc_data('style');
    if ($msgr == $styles) {
     	echo "<option value=\"$styles\" selected=\"selected\">$styles</option>\n";
    } else {
      echo "<option value=\"$styles\">$styles</option>\n";
      }
    }
                     
} 

// 
// Style Selection CSS Header
//

function pligg_template_style_css_header() {

  global $db, $the_template;
  
    $style = get_misc_data('style');
    echo '<link href="'.my_pligg_base.'/templates/' . $the_template . '/styles/' . $style . '" rel="stylesheet" type="text/css" />';                                                                                                                                               
}

function shrinktheweb_output (&$vars) {

  global $db;
  
  $STWAccessKeyId = get_misc_data('STWAccessKeyId'); 
  $vars['smarty']->_vars["stwaccessskeyid"] = $STWAccessKeyId;

}                                                                                                                                             



